Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class HeaderStories

    java.lang.Object
      org.apache.poi.hwpf.usermodel.HeaderStories

    public final class HeaderStories

extends java.lang.Object

A HeaderStory is a Header, a Footer, or footnote/endnote separator. All the Header Stories get stored in the same Range in the document, and this handles getting out all the individual parts. WARNING - you shouldn't change the headers or footers, as offsets are not yet updated!

Constructor Summary
`HeaderStories(HWPFDocument doc)`

Method Summary
`boolean` | `areFieldsStripped()` Are fields currently being stripped from the text that this `HeaderStories` returns? Default is false, but can be changed
`java.lang.String` | `getEndnoteContNote()`
`Range` | `getEndnoteContNoteSubrange()`
`java.lang.String` | `getEndnoteContSeparator()`
`Range` | `getEndnoteContSeparatorSubrange()`
`java.lang.String` | `getEndnoteSeparator()`
`Range` | `getEndnoteSeparatorSubrange()`
`java.lang.String` | `getEvenFooter()`
`Range` | `getEvenFooterSubrange()`
`java.lang.String` | `getEvenHeader()`
`Range` | `getEvenHeaderSubrange()`
`java.lang.String` | `getFirstFooter()`
`Range` | `getFirstFooterSubrange()`
`java.lang.String` | `getFirstHeader()`
`Range` | `getFirstHeaderSubrange()`
`java.lang.String` | `getFooter(int pageNumber)` Returns the correct, defined footer for the given one based page
`java.lang.String` | `getFootnoteContNote()`
`Range` | `getFootnoteContNoteSubrange()`
`java.lang.String` | `getFootnoteContSeparator()`
`Range` | `getFootnoteContSeparatorSubrange()`
`java.lang.String` | `getFootnoteSeparator()`
`Range` | `getFootnoteSeparatorSubrange()`
`java.lang.String` | `getHeader(int pageNumber)` Returns the correct, defined header for the given one based page
`java.lang.String` | `getOddFooter()`
`Range` | `getOddFooterSubrange()`
`java.lang.String` | `getOddHeader()`
`Range` | `getOddHeaderSubrange()`
`Range` | `getRange()`
`void` | `setAreFieldsStripped(boolean stripFields)` Should fields (eg macros) be stripped from the text that this class returns? Default is not to strip.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderStories

    public HeaderStories(HWPFDocument doc)

Method Detail

### getFootnoteSeparator

    public java.lang.String getFootnoteSeparator()

### getFootnoteContSeparator

    public java.lang.String getFootnoteContSeparator()

### getFootnoteContNote

    public java.lang.String getFootnoteContNote()

### getEndnoteSeparator

    public java.lang.String getEndnoteSeparator()

### getEndnoteContSeparator

    public java.lang.String getEndnoteContSeparator()

### getEndnoteContNote

    public java.lang.String getEndnoteContNote()

### getFootnoteSeparatorSubrange

    public Range getFootnoteSeparatorSubrange()

### getFootnoteContSeparatorSubrange

    public Range getFootnoteContSeparatorSubrange()

### getFootnoteContNoteSubrange

    public Range getFootnoteContNoteSubrange()

### getEndnoteSeparatorSubrange

    public Range getEndnoteSeparatorSubrange()

### getEndnoteContSeparatorSubrange

    public Range getEndnoteContSeparatorSubrange()

### getEndnoteContNoteSubrange

    public Range getEndnoteContNoteSubrange()

### getEvenHeader

    public java.lang.String getEvenHeader()

### getOddHeader

    public java.lang.String getOddHeader()

### getFirstHeader

    public java.lang.String getFirstHeader()

### getEvenHeaderSubrange

    public Range getEvenHeaderSubrange()

### getOddHeaderSubrange

    public Range getOddHeaderSubrange()

### getFirstHeaderSubrange

    public Range getFirstHeaderSubrange()

### getHeader

    public java.lang.String getHeader(int pageNumber)

  Returns the correct, defined header for the given one based page

  Parameters:
    `pageNumber` - The one based page number

### getEvenFooter

    public java.lang.String getEvenFooter()

### getOddFooter

    public java.lang.String getOddFooter()

### getFirstFooter

    public java.lang.String getFirstFooter()

### getEvenFooterSubrange

    public Range getEvenFooterSubrange()

### getOddFooterSubrange

    public Range getOddFooterSubrange()

### getFirstFooterSubrange

    public Range getFirstFooterSubrange()

### getFooter

    public java.lang.String getFooter(int pageNumber)

  Returns the correct, defined footer for the given one based page

  Parameters:
    `pageNumber` - The one based page number

### getRange

    public Range getRange()

### areFieldsStripped

    public boolean areFieldsStripped()

  Are fields currently being stripped from the text that this `HeaderStories` returns? Default is false, but can be changed

### setAreFieldsStripped

    public void setAreFieldsStripped(boolean stripFields)

  Should fields (eg macros) be stripped from the text that this class returns? Default is not to strip.

  Parameters:
    `stripFields` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD